# Convert raster to polygon
import arcpy
#define workspace and import datasets
Workspace = "E:\\temp\\NewIdea\\paper\\Paper\\MajorRevisionData\\DEM\\DEM_Process\\"
OutRaster = Workspace + "Result_Raster"
OutPolygon = Workspace + "Result_Polygon"
#list raster files
arcpy.env.workspace = OutRaster
fcs = arcpy.ListFeatureClasses()
#covert raster to polygon
for fc in fcs:
    try:
        output2 = OutRaster + "\\SR" + str(fc)
        output3 = OutPolygon + "\\SRP" + str(fc)
        arcpy.RasterToPolygon_conversion(output2, output3, "NO_SIMPLIFY", "VALUE")
    except Exception as ex:
        print(str(fc) + " already exists...")
print("Result_Polygon completed")