import arcpy
#defie workspace
PointLoc = "E:\\temp\\NewIdea\\paper\\Paper\\MajorRevisionData\\DEM\\DEM_Process\\Point"
OutName = "E:\\temp\\NewIdea\\paper\\Paper\\MajorRevisionData\\Threshold.txt"
#list feature class
threshold = []
arcpy.env.workspace = PointLoc
fcs = arcpy.ListFeatureClasses()
#extract threshold value from sub-watershed basin based on water fraction values
#the extracted thresholds will be used to query DEM points. 
for fc in fcs:
    arcpy.MakeFeatureLayer_management(fc, "shp"+str(fc))
    result = arcpy.GetCount_management("shp"+str(fc))
    join = " ".join([fc[:-4], str(result.getOutput(0))])
    threshold.append(join)
    sorted(threshold, key=lambda x: int(x.split(' ')[0]))
with open(OutName, 'w') as f:
    for item in threshold:
        print(item)
        f.write("{}\n".format(item))

