function Code1
%import ATMS raster file
[f,p]=uigetfile('*.*');
%extract pixels from raster
img=imread([p,f]);
img=double(img);
Twater=13.4;% set initial water threshold  
Tsoil=0;% set initial land threshold 
%conversion from AWMS raw data to brightness temperature using brightness temperature factor
DValue=img(:,:)*0.005
%remove null value boundary lines
DValue(1:2,:)=[];
DValue(:,1:4)=[];
DValue(:,end-1:end)=[];
DValue(end-1:end,:)=[];
[n1,n2]=size(DValue);
% Calculate water endnumber
priwater=DValue>Twater;  
prisoil=DValue<Tsoil;
B1 =priwater
B1(1:n1-1,:)= B1(2:n1,:);
B2=priwater;
B2(2:n1,:)= B2(1:n1-1,:);
B3=priwater;
B3(:,1:n2-1)= B3(:,2:n2);
B4=priwater;
B4(:,2:n2)= B4(:,1:n2-1);
B5=B1;
B5(:,2:n2)=B5(:,1:n2-1);
B6=B1;
B6(:,1:n2-1)=B6(:,2:n2);
B7=B2;
B7(:,2:n2)=B7(:,1:n2-1);
B8=B2;
B8(:,1:n2-1)=B8(:,2:n2);
finalwater=zeros(n1,n2);%create an empty matrix for pixel retrieval
for  i=1:n1
    for  j=1:n2
       if B1(i,j)+B2(i,j)+B3(i,j)+B4(i,j)+B5(i,j)+B6(i,j)+B7(i,j)+B8(i,j)>=8;
        finalwater(i,j)=1;   
       end
    end
end
secwater=mean(DValue(find(finalwater==1)));%second water threshold determination 
endwater=DValue>secwater;
finalvalueW=mean(DValue(find(endwater==1)));%water endnumber determineation
a=finalvalueW
% Calculate land endnumber
W1 =prisoil ;
W1(1:n1-1,:)= W1(2:n1,:);
W2=prisoil;
W2(2:n1,:)= W2(1:n1-1,:);
W3=prisoil;
W3(:,1:n2-1)= W3(:,2:n2);
W4=prisoil;
W4(:,2:n2)= W4(:,1:n2-1);
W5=B1;
W5(:,2:n2)=W5(:,1:n2-1);
W6=W1;
W6(:,1:n2-1)=W6(:,2:n2);
W7=W2;
W7(:,2:n2)=W7(:,1:n2-1);
W8=W2;
W8(:,1:n2-1)=W8(:,2:n2);
finalsoil=zeros(n1,n2);%create an empty matrix for pixel retrieval
for  i=1:n1
    for  j=1:n2
       if W1(i,j)+W2(i,j)+W3(i,j)+W4(i,j)+W5(i,j)+W6(i,j)+W7(i,j)+W8(i,j)>=8;
        finalsoil(i,j)=1;   
       end
    end
end
secsoil=mean(DValue(find(finalsoil==1)));%second water threshold determination 
endsoil=DValue<secsoil;
finalvalueS=mean(DValue(find(endsoil==1)));%water endnumber determineation
b=finalvalueS
end